.room_bg_color_bright {
    background-color: rgb(226, 222, 211);
    background: linear-gradient(90deg, rgb(238, 236, 224) 0%, rgb(226, 222, 211) 50%, rgb(187, 180, 164) 100%) !important;
}

.room_bg_color_bright_2 {
    background-color: #d9d9d0;
    background: linear-gradient(90deg, rgb(201, 201, 192) 0%, rgb(227, 226, 219) 100%) !important;
}

.room_bg_color_dark {
    background-color: #181816 !important;
}

.room_bg_color_creme {
    background-color: #cfb594 !important;
}

.room_bg_color_creme_2 {
    background-color: #ab9f8a !important;
}

.room_bg_color_mint {
    background-color: #b5beb3 !important;
    background: linear-gradient(90deg, rgb(220, 227, 218) 0%, rgb(151, 161, 145) 100%) !important;
}

.room_bg_color_mint_2 {
    background-color: #8c9978 !important;
}

.room_bg_color_anthrazit {
    background-color: #34312c !important;
    background: linear-gradient(90deg, rgb(60, 56, 51) 0%, rgb(86, 83, 87) 30%, rgb(14, 14, 10) 100%) !important;
}

.room_bg_color_anthrazit_2 {
    background-color: #37322e !important;
    background: linear-gradient(90deg, rgb(78, 80, 79) 0%, rgb(38, 32, 27) 75%, rgb(40, 31, 22) 100%) !important;
}

.low_resolution_msg {
    border-radius: 20px;
    padding: 15px;
    background-color: rgb(255 0 0 / 50%);
    color: #ffffff;
    font-size: 11pt;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    opacity: 0;
    transition: opacity 0.5s ease;
    visibility: hidden;
    display: flex;
}

.low_resolution_msg.open {
    display: flex;
    visibility: visible;
    opacity: 1;
}

.low_resolution_msg.hidden {
    display: none !important;
    opacity: 0;
}

.low_resolution_msg > svg {
    margin-bottom: 10px;
}

/* CROPPER CSS */
.crop_image {
    max-width: 100%; /* This rule is very important, please do not ignore this! */
}

.img-preview {
    float: left;
    overflow: hidden;
}

.img-preview > img {
    max-width: 100%;
}

.preview {
    height: 0px;
    width: 0px;
}

.centered-block {
    /* Keine expliziten Regeln im CSS, aber als Klasse verwendet – könnte für Flex/Zentrierung gedacht sein */
}

.cropper-container {
    height: 100% !important;
}

.cropper_grid_layer {
    max-width: 100%;
    gap: 0 10px; /* 0px vertikal, 10px horizontal zwischen Spalten */
    display: grid;
    grid-template-columns: 1fr 1fr; /* Zwei Spalten mit gleicher Breite */
}

/* Basis-Styling für Mobile (eine Spalte, untereinander) */
.crop_grid_layer {
    max-width: 100%;
    max-height: 100vh;
    height:auto; /*  NEU */
    gap: 0; /* 10px vertikaler Abstand, 0px horizontal */
    display: grid;
    grid-template-columns: 1fr; /* Eine Spalte für Mobile */
}

.crop_live_box_outer {
    width: 100%;
    overflow: hidden;
    position: relative;
    top: 0px;
    left: 0;
    max-height: 100vh;
    transition:1s ease;
    opacity:0;
}

.crop_live_box_outer.initialized {
    opacity:1;
}


.crop_live_box_outer.no-transition {
    transition:none; 
}


.crop_live_box_inner{
	position:relative;
	transition:0.5s ease;
	opacity:1;
	height:100%;
}

.crop_live_box_hd_icon {
    position: absolute;
    top: 50px;
    right: 30px;
    width: 2em;
    max-width: 80px;
    z-index: 2;
}

#crop_live_box {
    justify-content: center;
    align-items: center;
    display: flex;
    width: 100%;
    background-image: url('https://www.xxl-art.de/bilder/crop/bg_2.jpg');
    background-repeat: no-repeat;
    overflow: hidden;
    background-size: cover;
    background-position: center center;
    max-height: 1000px;
    transition: opacity 1s ease;
    -ms-transition: opacity 1s ease;
    -webkit-transition: opacity 1s ease;
    -moz-transition: opacity 1s ease;
    -o-transition: opacity 1s ease;
    height: 100vh;
    max-height: 100%;
    min-height: 350px;
    position: relative;
    opacity:1 !important
}

#crop_live_bg {
    position: absolute;
    inset: 0;
    opacity: 0;
    transition: opacity 1s ease;
    z-index: 0;
    background-repeat: no-repeat;
}
#crop_live_bg.initialized { opacity: 1; }
#cropper_art_live_preview { position: relative; z-index: 1; }

#cropper_art_live_preview{
	opacity:0;
	transition: opacity 1s ease;
}


#cropper_art_live_preview.initialized,
#crop_live_box.initialized {
	opacity:1 !important;
	
	transition: all 1s ease;
    -ms-transition: all 1s ease;
    -webkit-transition: all 1s ease;
    -moz-transition: all  1s ease;
    -o-transition: all  1s ease;
    
}



.ui_wrapper{
	position: absolute;
    position: sticky;
    bottom: 10dvh;
    /* Fallback für ältere Browser */
    bottom: calc(10dvh + env(safe-area-inset-bottom));
    display: flex;
    width: 100%;
    z-index: 999;
    flex-direction: row;
    justify-content: space-evenly;
    align-content: center;
    align-items: center;
}

@media (min-width:1024){
	
}

.ui_button_wrapper{
	position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
    align-content: flex-start;
    flex-direction: column;
}

.crop_size_box_outer_wrapper{
	position: relative;
    height: 100px;
    display: flex;
    justify-content: center;
    align-items: center;
}

.croptool-padding-top{
	padding-top:0px;
}


.crop_grid_layer {
  overflow-y: scroll !important;
  scrollbar-width: none; /* Firefox */
}

.crop_grid_layer::-webkit-scrollbar {
  display: none; /* Chrome, Safari, Edge */
}




#crop_live_preview_box {
    margin-bottom: 60%;
}

#crop_live_preview_box > img {
    transition: all 0.5s cubic-bezier(0, 0, 0.22, 1);
    -ms-transition: 0.5s cubic-bezier(0, 0, 0.22, 1);
    -webkit-transition: 0.5s cubic-bezier(0, 0, 0.22, 1);
    -moz-transition: 0.5s cubic-bezier(0, 0, 0.22, 1);
    -o-transition: 0.5s cubic-bezier(0, 0, 0.22, 1);
}

#crop_live_box.noTransition > * {
    transition: all 0s ease !important;
    -ms-transition: 0s ease !important;
    -webkit-transition: 0s ease !important;
    -moz-transition: 0s ease !important;
    -o-transition: 0s ease !important;
}

.noTransition > img {
    transition: all 0s ease !important;
    -ms-transition: 0s ease !important;
    -webkit-transition: 0s ease !important;
    -moz-transition: 0s ease !important;
    -o-transition: 0s ease !important;
}

#crop_live_preview_box.noTransition {
    transition: all 0s ease !important;
    -ms-transition: 0s ease !important;
    -webkit-transition: 0s ease !important;
    -moz-transition: 0s ease !important;
    -o-transition: 0s ease !important;
}

#product_crop_box {
    height: 100vh;
    display: flex;
    width: 100%;
    overflow: hidden;
    align-items: center;
    opacity:0;
    transition:1s ease;
}

#product_crop_box.initialized {
    opacity:1 !important;
}

#product_crop_box.no-transition_xx {
    transition:none;
}

#crop_content_button {
    /* width: 100%; */
    z-index: 999;
    margin: 10px auto;
    padding: 10px;
    border-radius: 80px;
    display: inline-block;
    backdrop-filter: blur(5px);
    background-color: rgba(0,0,0, 0.5);
    /* margin-bottom: 20px; */
    /* bottom: 13px; */
    margin-top: 20px;
}

#crop_content_button {
    margin-top: 20px;
    bottom: 10px;
}



a.crop_order_settings {
    padding: 0px 10px;
    text-align: center;
    margin: 0 auto;
    width: auto;
    max-width: calc(100vw - 50px);
    display: block;
    border-radius: 10px;
    text-align: center;
    transition: all 100ms ease-in-out;
    backdrop-filter: blur(10px);
    position: relative;
    background-color: rgba(0, 0, 0, 0.8);
    border-radius: 100px;
    
}

.size_text{
	font-size:1.5rem;
}



@media (orientation: portrait) and (max-width:980px){
	.crop_grid_layer{
		overflow-y:scroll !important;
	}
}

@media (orientation: landscape) and (max-width:980px){
	.hide_on_small_screen{
		display:none !important;
	}
}


.zoom_button_wrapper{
	position: absolute;
	top: 100px;
	right: 0px;
	padding: 20px;
	z-index: 9999;
}

.zoom_button_wrapper .zoom_button_wrapper_inner{
	display: flex;
	gap: 20px;
	flex-direction: column;
}

.zoom_button_wrapper button{
	padding:0px;
	backdrop-filter:blur(10px);
	transition:0.3s ease;
	box-shadow: 0px 5px 10px rgba(0, 0, 0, 0.3);
	text-shadow: 0px 2px 5px rgba(0, 0, 0, 0.3);
	font-weight: normal;
	gap:10px;
	transform: scale(1);
	cursor: pointer;
	
}

.zoom_button_wrapper button svg {
    width: 24px;
    height: 24px;
    transition:0.3s ease;
}


.zoom_button_wrapper button:hover{
	transform:scale(1.1);
	box-shadow: 0px 5px 15px rgba(0, 0, 0, 0.2);    
}

.zoom_button_wrapper button:hover svg {
   transform:scale(1.1);
}


.zoom_button_wrapper button:active{
	transform:scale(0.98);
	box-shadow: 0px 5px 10px rgba(0, 0, 0, 0.3);    
	text-shadow: 0px 1px 2px rgba(0, 0, 0, 0.2);
}
    
    
.zoom_button_wrapper button.disabled,
.zoom_button_wrapper button.disabled {
    opacity: 0.3;
    cursor: default;
    pointer-events: none;
}



.ui_wrapper .button{
	padding: 10px 20px 10px 20px;
	font-size:1rem;
	gap:10px;
}


.ui_wrapper .button.button-55:hover{
	transform: scale(1.01) translate3d(0, 0, 0);
}

.ui_wrapper .button.button-55:active{
	transform: scale(0.99) translate3d(0, 0, 0);
}




@media (orientation: portrait){
	
	.hide_on_small_sreen.show_on_portrait{
		display:block !important;
	}
	
	/*
	.ui_wrapper {
	    flex-direction: column;
	    justify-content: space-between;
	    align-items: stretch;
	}
	*/
}


/* Desktop / Tablet */
@media (min-width: 1024px){
	.hide_on_small_screen{
		display:block  !important;
	}
	
	/*
	.ui_wrapper{
		position: absolute;
	    top: 0px;
	    display: flex;
	    height: 100%;
	    width: 100%;
	    z-index: 999;
	    flex-direction: column;
	    justify-content: flex-end;
	    align-items: stretch;
	    gap: 10px;
	}
	*/
	
	.ui_wrapper .button {
	    padding: 15px 30px 15px 30px;
	    font-size: 1.5rem;
	    gap: 10px;
	}
}	


a.crop_order_settings .crop_order_settings_wrapper_inner {
    display: flex;
    gap: 10px;
}


a.crop_order_settings .crop_order_settings_wrapper_inner {
    display: flex;
    gap: 10px;
}

a.crop_order_settings .crop_order_settings_wrapper_inner .left {
    display: flex;
    align-content: center;
    align-items: flex-start;
    gap: 10px;
    justify-content: flex-start;
    padding: 10px;
}

a.crop_order_settings .crop_order_settings_wrapper_inner .right {
    display: flex;
    align-content: center;
    align-items: center;
    background: rgba(0, 0, 0, 0.2);
    border-radius: 0 100px 100px 0;
}

a.crop_order_settings .triangle-down {
    border-top: 10px solid rgb(255 255 255 / 84%) !important;
}

.crop_order_settings svg{
    filter: invert(1);
}

a.crop_order_settings .crop_order_settings_wrapper_inner .left .size_wrapper {
    display: flex;
    flex-direction: column;
}



.crop_order_settings:hover{
    background-color: rgba(0, 0, 0, 0.65);
    box-shadow: rgba(0, 0, 0, .5) 0px 8px 10px -10px;
}

.crop_btn {
    border: 1px solid #d8d8d8;
    background-color: whitesmoke;
}

.crop_btn > span {
    /* padding: 3px; margin: 5px; padding-top: 10px; padding-bottom: 10px; */ /* Auskommentiert, aber potenziell relevant */
}

.crop_btn > img {
    width: 30px;
    padding: 0px;
    position: relative;
}

/* MOBILE PORTRAIT */
@media (orientation: portrait) and (max-width: 1024px) {
    #product_crop_box {
        max-height: calc(50vh - var(--navigation_mobile_height_elapsed));
    }
    
    .layer_inner #product_crop_box {
        max-height: 50vh;
    }
    
    #crop_live_box {
        height: 100vw;
        min-height: 100vw; /* vw korrekt hier. damit es micht zu schmal ist ist. */
        max-height: calc(100vh) !important;
    }
}

@media (orientation: portrait) {
    #product_crop_box {
        max-height: calc(50vh - var(--navigation_mobile_height_elapsed) );
    }
    
    .layer_inner #product_crop_box {
        max-height: 50vh;
    }
}

@media screen and (min-width: 1024px) {
    #product_crop_box {
        max-height: calc(100vh) !important;
    }
    #crop_live_box {
        max-height: calc(100vh);
    }
    .crop_live_box_hd_icon {
        width: 80px;
    }
}

/* Für Tablets und Desktops (zwei Spalten, nebeneinander) – oder Landscape */
@media (orientation: landscape), (min-width: 1024px) {
    .crop_grid_layer {
        grid-template-columns: 1fr 1fr; /* Zwei Spalten */
        gap: 0 10px; /* 0px vertikal, 10px horizontal zwischen Spalten */
    }
    
    #product_crop_box {
        max-height: calc(100vh);
    }
    
    #crop_content_button {
        margin-top: 20px;
    }
}

@media (min-width: 600px) {
    .room_color_box {
        justify-content: center;
    }
}


/*
.crop_tool_size_box_wrapper{
	z-index: 99;
    margin: 0 auto;
    text-align: center;
    left: 50%;
    transform: translateX(-50%);
    position: absolute;
}
*/


@media (orientation: portrait){
	#crop_live_box {
	    height: 100%;
	    width:100vw;
	}
	
	.crop_live_box_outer {
		width: 100vw;
		overflow:visible;
	    clip-path: inset(0 0 -100px 0);
	    /* oben: 0 = abgeschnitten, unten: -100px = sichtbar über den Rand */
	}
	
	.zoom_button_wrapper {
		position: absolute;
	    top: 10px !important;
    	right: 10px;
	}
	
	a.crop_order_settings .crop_order_settings_wrapper_inner .left {
	    display: flex;
	    align-content: center;
	    align-items: center;
	    gap: 10px;
	    justify-content: flex-start;
	    padding: 10px;
	    flex-direction: column;
	}
	
	a.crop_order_settings .crop_order_settings_wrapper_inner {
	    display: flex;
	    gap: 10px;
	    flex-direction: column;
	    align-items: center;
	    align-content: center;
	}
	
	.hide_on_small_screen{
		display:none !important;
	}
}


.crop_order_settings.rotate_border::before {
    content: '';
    position: absolute;
    inset: -2px;
    border-radius: 999px;
    background: conic-gradient(
        from var(--angle),
        rgba(2, 208, 206, 0.8),
        rgba(255, 255, 255, 0.4),
        rgba(2, 208, 206, 0),
        rgba(2, 208, 206, 0),
        rgba(2, 208, 206, 0.8)
    );
    z-index: -1;
    animation: rotateBorder 4s linear infinite;
}

.crop_order_settings.rotate_border::after {
    content: '';
    position: absolute;
    inset: 1px;
    border-radius: 999px;
    background: rgb(0 0 0 / 80%);
    z-index: -1;
}

@property --angle {
    syntax: '<angle>';
    initial-value: 0deg;
    inherits: false;
}

@keyframes rotateBorder {
    to { --angle: 360deg; }
}

